## i386.tar.gz

=== synfig-studio/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
include(SynfigIntltool)

project(synfigstudio)

# using latest stable standard, but not strictly
# the rest is done via target_compile_features instead
set(CMAKE_CXX_STANDARD 11)

add_subdirectory(src)

add_subdirectory(brushes)
add_subdirectory(images)
add_subdirectory(plugins)
add_subdirectory(po)
add_subdirectory(sounds)

if (${ENABLE_TESTS})
    enable_testing()
    add_subdirectory(test)
endif()

file(MAKE_DIRECTORY "${SYNFIG_BUILD_ROOT}/share/appdata")
file(MAKE_DIRECTORY "${SYNFIG_BUILD_ROOT}/share/applications")

STUDIO_INTLTOOL_MERGE(
    TARGET_NAME appdata_xml
    INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/org.synfig.SynfigStudio.appdata.xml.in
    OUTPUT_FILE "org.synfig.SynfigStudio.appdata.xml"
    INSTALL_DESTINATION "share/appdata"
)

if(NOT WIN32) # desktop file needs to be build only for nix systems
STUDIO_INTLTOOL_MERGE(
    DESKTOP
    TARGET_NAME desktop_file
    INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/org.synfig.SynfigStudio.desktop.in
    OUTPUT_FILE "org.synfig.SynfigStudio.desktop"
    INSTALL_DESTINATION "share/applications"
)
endif()

if(TARGET desktop_file)
    add_custom_command(
        TARGET desktop_file POST_BUILD
        COMMAND sed -i -E \"s|^Icon=\(.*\)|Icon=/usr/share/icons/hicolor/scalable/apps/org.synfig.SynfigStudio.svg|g\"
            ${SYNFIG_BUILD_ROOT}/share/applications/org.synfig.SynfigStudio.desktop
    )
endif()

add_dependencies(synfigstudio
    build_images
    build_pofiles_synfigstudio
)

if(NOT MSVC)
if(TARGET plugins_xml)
    add_dependencies(synfigstudio plugins_xml)
endif()

if(TARGET appdata_xml)
    add_dependencies(synfigstudio appdata_xml)
endif()

if(TARGET desktop_file)
    add_dependencies(synfigstudio desktop_file)
endif()
endif()

=== synfig-studio/images/CMakeLists.txt ===
set(IMG_SOURCE_animate_mode_off_icon animate_mode_icons 0)
set(IMG_SOURCE_animate_mode_on_icon animate_mode_icons 1)

set(IMG_SOURCE_interpolation_type_tcb_icon interpolation_type_icons 1)
set(IMG_SOURCE_interpolation_type_linear_icon interpolation_type_icons 2)
set(IMG_SOURCE_interpolation_type_ease_icon interpolation_type_icons 3)
set(IMG_SOURCE_interpolation_type_const_icon interpolation_type_icons 4)
set(IMG_SOURCE_interpolation_type_clamped_icon interpolation_type_icons 5)
# set(IMG_SOURCE_interpolation_type_unknown_icon interpolation_type_icons 6)
set(IMG_SOURCE_valuenode_forbidanimation_icon interpolation_type_icons 7)

set(IMG_SOURCE_action_doc_new_icon action_doc_icons 1)
set(IMG_SOURCE_action_doc_open_icon action_doc_icons 2)
set(IMG_SOURCE_action_doc_save_icon action_doc_icons 3)
set(IMG_SOURCE_action_doc_saveas_icon action_doc_icons 4)
set(IMG_SOURCE_action_doc_saveall_icon action_doc_icons 5)
set(IMG_SOURCE_action_doc_undo_icon action_doc_icons 6)
set(IMG_SOURCE_action_doc_redo_icon action_doc_icons 7)

set(IMG_SOURCE_canvas_icon canvas_and_importimage_icons 2)
set(IMG_SOURCE_layer_other_importimage_icon canvas_and_importimage_icons 1)

set(IMG_SOURCE_animate_seek_next_keyframe_icon framedial_icons 0)
set(IMG_SOURCE_animate_seek_prev_keyframe_icon framedial_icons 1)
set(IMG_SOURCE_animate_seek_next_frame_icon framedial_icons 2)
set(IMG_SOURCE_animate_seek_prev_frame_icon framedial_icons 3)
set(IMG_SOURCE_animate_seek_begin_icon framedial_icons 4)
set(IMG_SOURCE_animate_seek_end_icon framedial_icons 5)
set(IMG_SOURCE_animate_play_icon framedial_icons 6)
set(IMG_SOURCE_animate_stop_icon framedial_icons 7)
set(IMG_SOURCE_animate_pause_icon framedial_icons 8)
set(IMG_SOURCE_animate_loop_icon framedial_icons 9)
set(IMG_SOURCE_animate_bounds_icon framedial_icons 10)
set(IMG_SOURCE_animate_bound_lower_icon framedial_icons 11)
set(IMG_SOURCE_animate_bound_upper_icon framedial_icons 12)

set(IMG_SOURCE_keyframe_lock_past_on_icon keyframe_lock_icons 0)
set(IMG_SOURCE_keyframe_lock_past_off_icon keyframe_lock_icons 1)
set(IMG_SOURCE_keyframe_lock_future_on_icon keyframe_lock_icons 2)
set(IMG_SOURCE_keyframe_lock_future_off_icon keyframe_lock_icons 3)

set(IMG_SOURCE_tangent_merge_icon tangent_merge_split_icons 0)
set(IMG_SOURCE_tangent_split_icon tangent_merge_split_icons 1)

set(IMG_SOURCE_utils_chain_link_on_icon utils_chain_link_icons 0)
set(IMG_SOURCE_utils_chain_link_off_icon utils_chain_link_icons 1)

set(ICONS
	animate_mode_off_icon
	animate_mode_on_icon

	interpolation_type_tcb_icon
	interpolation_type_linear_icon
	interpolation_type_ease_icon
	interpolation_type_const_icon
	interpolation_type_clamped_icon
	valuenode_forbidanimation_icon

	action_doc_new_icon
	action_doc_open_icon
	action_doc_save_icon
	action_doc_saveas_icon
	action_doc_saveall_icon
	action_doc_undo_icon
	action_doc_redo_icon

	canvas_icon

	animate_seek_next_keyframe_icon
	animate_seek_prev_keyframe_icon
	animate_seek_next_frame_icon
	animate_seek_prev_frame_icon
	animate_seek_end_icon
	animate_seek_begin_icon
	animate_play_icon
	animate_stop_icon
	animate_pause_icon
	animate_loop_icon
	animate_bounds_icon
	animate_bound_lower_icon
	animate_bound_upper_icon

	keyframe_lock_past_on_icon
	keyframe_lock_past_off_icon
	keyframe_lock_future_on_icon
	keyframe_lock_future_off_icon

	tangent_merge_icon
	tangent_split_icon

	utils_chain_link_on_icon
	utils_chain_link_off_icon

	action_add_to_set_icon
	action_export_icon
	action_flat_interpolation_icon
	action_interpolate_interpolation_icon
	action_peak_interpolation_icon
	action_offpeak_interpolation_icon
	action_remove_from_set_icon
	action_rounded_interpolation_icon
	action_innerrounded_interpolation_icon
	action_set_layer_description_icon
	action_squared_interpolation_icon
	action_unexport_icon
	clear_redo_icon
	clear_undo_icon
	decr_resolution_icon
	duck_angle_icon
	duck_position_icon
	duck_radius_icon
	duck_tangent_icon
	duck_vertex_icon
	duck_width_icon
	duplicate_icon
	graphs_icon
	group_icon
	history_icon
	incr_resolution_icon
	info_icon
	jack_icon
	keyframe_icon
	layer_blur_blur_icon
	layer_blur_motion_icon
	layer_blur_radial_icon
	layer_distortion_curvewarp_icon
	layer_distortion_insideout_icon
	layer_distortion_noise_icon
	layer_distortion_skeletondeformation_icon
	layer_distortion_spherize_icon
	layer_distortion_stretch_icon
	layer_distortion_twirl_icon
	layer_distortion_warp_icon
	layer_example_metaballs_icon
	layer_example_simplecircle_icon
	layer_filter_chromakey_icon
	layer_filter_clamp_icon
	layer_filter_colorcorrect_icon
	layer_filter_halftone2_icon
	layer_filter_halftone3_icon
	layer_filter_lumakey_icon
	layer_fractal_julia_icon
	layer_fractal_mandelbrot_icon
	layer_geometry_advanced_outline_icon
	layer_geometry_checkerboard_icon
	layer_geometry_circle_icon
	layer_geometry_outline_icon
	layer_geometry_polygon_icon
	layer_geometry_rectangle_icon
	layer_geometry_region_icon
	layer_geometry_solidcolor_icon
	layer_geometry_star_icon
	layer_gradient_conical_icon
	layer_gradient_curve_icon
	layer_gradient_linear_icon
	layer_gradient_noise_icon
	layer_gradient_radial_icon
	layer_gradient_spiral_icon
	layer_icon
	layer_other_duplicate_icon
	layer_other_filtergroup_icon
	layer_other_group_icon
	layer_other_ghostgroup_icon
	layer_other_importimage_icon
	layer_other_plant_icon
	layer_other_skeleton_icon
	layer_other_sound_icon
	layer_other_freetime_icon
	layer_other_stroboscope_icon
	layer_other_supersample_icon
	layer_other_switch_icon
	layer_other_text_icon
	layer_other_timeloop_icon
	layer_other_xorpattern_icon
	layer_stylize_bevel_icon
	layer_stylize_shade_icon
	layer_transform_rotate_icon
	layer_transform_scale_icon
	layer_transform_translate_icon
	layer_transform_zoom_icon
	library_icon
	meta_data_icon
	navigator_icon
	onion_skin_icon
	palette_icon
	parameters_icon
	preview_options_icon
	background_rendering_icon
	rename_icon
	render_options_icon
	reset_colors_icon
	resize_disabled_icon
	resize_up_left_icon
	resize_up_icon
	resize_up_right_icon
	resize_left_icon
	resize_right_icon
	resize_down_left_icon
	resize_down_icon
	resize_down_right_icon
	resize_transparent_icon
	select_all_child_layers_icon
	set_fill_color_icon
	set_icon
	set_outline_color_icon
	show_grid_icon
	show_guideline_icon
	sif_icon
	snap_grid_icon
	snap_guideline_icon
	sound_icon
	swap_colors_icon
	time_track_icon
	tool_brush_icon
	tool_circle_icon
	tool_cutout_icon
	tool_draw_icon
	tool_eyedrop_icon
	tool_fill_icon
	tool_gradient_icon
	tool_mirror_icon
	tool_normal_icon
	tool_polyline_icon
	tool_rectangle_icon
	tool_rotate_icon
	tool_scale_icon
	tool_sketch_icon
	tool_smooth_move_icon
	tool_spline_icon
	tool_skeleton_icon
	tool_star_icon
	tool_text_icon
	tool_width_icon
	tool_zoom_icon
	type_angle_icon
	type_bool_icon
	type_canvas_icon
	type_color_icon
	type_gradient_icon
	type_integer_icon
	type_list_icon
	type_real_icon
	type_segment_icon
	type_splinepoint_icon
	type_string_icon
	type_time_icon
	type_vector_icon
	utils_timetrack_align_icon
	valuenode_icon
)

set(IMAGES
	about_icon
	logo
	synfig_icon
	${ICONS}
)

set(THEME_DIR ${SYNFIG_BUILD_ROOT}/share/synfig/icons/classic)
set(PIXMAPS_DIR ${THEME_DIR}/128x128)

file(MAKE_DIRECTORY ${PIXMAPS_DIR})

## TODO: configure icon size
#
# Implement icon sizes after Synfig Studio uses Gtk::IconTheme
# For now just render to the default document size like Autotools does
#
# Note to potential future contributors:
# Not all icons are of aspect 1:1, eg- toggle button chain link
# so the below code is faulty and needs to be corrected
#
#foreach (ICON IN ITEMS ${ICONS})
#	set(IMG_SIZE_${ICON} 32 32)
#endforeach()

foreach (IMAGE IN ITEMS ${IMAGES})
	if (IMG_SOURCE_${IMAGE})
		list(GET IMG_SOURCE_${IMAGE} 0 SRC)
		list(GET IMG_SOURCE_${IMAGE} 1 TIME)
	else()
		set(SRC ${IMAGE})
		set(TIME 0)
	endif()
	# Wait for Gtk::IconTheme
#	if (IMG_SIZE_${IMAGE})
#		list(GET IMG_SIZE_${IMAGE} 0 W)
#		list(GET IMG_SIZE_${IMAGE} 1 H)
#	else()
#		set(W 0)
#		set(H 0)
#	endif()
	add_custom_command(
		OUTPUT ${PIXMAPS_DIR}/${IMAGE}.png
		# Wait for Gtk::IconTheme
#		COMMAND synfig_bin ${SRC}.sif -o ${PIXMAPS_DIR}/${IMAGE}.png --time ${TIME}f -w ${W} -h ${H} --quiet
		COMMAND synfig_bin ${SRC}.sif -o ${PIXMAPS_DIR}/${IMAGE}.png --time ${TIME}f --quiet
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${SRC}.sif synfig_bin
	)

	list(APPEND PIXMAPS ${PIXMAPS_DIR}/${IMAGE}.png)
	install(
		FILES ${PIXMAPS_DIR}/${IMAGE}.png
		DESTINATION share/synfig/icons/classic/128x128
	)
endforeach()

# Scalable Icon
file(
	COPY ${CMAKE_CURRENT_SOURCE_DIR}/org.synfig.SynfigStudio.svg
	DESTINATION ${SYNFIG_BUILD_ROOT}/share/icons/hicolor/scalable/apps
)

install(
	FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.synfig.SynfigStudio.svg
	DESTINATION share/icons/hicolor/scalable/apps
)

# index.theme
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/index.theme ${SYNFIG_BUILD_ROOT}/share/synfig/icons/classic/index.theme COPYONLY)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/index.theme DESTINATION share/synfig/icons/classic)

# Synfig Splash Screen
if(${CMAKE_BUILD_TYPE} MATCHES Debug)
	set(SYNFIG_SPLASH_SCREEN ${CMAKE_CURRENT_BINARY_DIR}/splash_screen_development.sif)
	configure_file(
		${CMAKE_CURRENT_SOURCE_DIR}/splash_screen_development.sif.in
		${SYNFIG_SPLASH_SCREEN}
		@ONLY
	)

	set(LOGO_ICON ${CMAKE_CURRENT_SOURCE_DIR}/logo.sif)
	file(COPY ${LOGO_ICON} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
else()
	set(SYNFIG_SPLASH_SCREEN ${CMAKE_CURRENT_SOURCE_DIR}/splash_screen.sif)
endif()

set(SPLASH_SCREEN_DIR ${SYNFIG_BUILD_ROOT}/share/synfig/images)
file(MAKE_DIRECTORY ${SPLASH_SCREEN_DIR})
add_custom_command(
	OUTPUT ${SPLASH_SCREEN_DIR}/splash_screen.png
	COMMAND synfig_bin ${SYNFIG_SPLASH_SCREEN} -o ${SPLASH_SCREEN_DIR}/splash_screen.png --time 0f --quiet
	DEPENDS ${SYNFIG_SPLASH_SCREEN} synfig_bin
)

list(APPEND PIXMAPS ${SPLASH_SCREEN_DIR}/splash_screen.png)
install(
	FILES ${SPLASH_SCREEN_DIR}/splash_screen.png
	DESTINATION share/synfig/images
)

# WIN32 Icon
if(WIN32)
	add_custom_command(
		OUTPUT ${THEME_DIR}/synfig_icon.ico
		COMMAND synfig_bin ${CMAKE_CURRENT_SOURCE_DIR}/synfig_icon.sif -o ${THEME_DIR}/synfig_icon.ico --time 0f --quiet
		DEPENDS ${SYNFIG_SPLASH_SCREEN} synfig_bin
	)

	list(APPEND PIXMAPS ${THEME_DIR}/synfig_icon.ico)
	install(
		FILES ${THEME_DIR}/synfig_icon.ico
		DESTINATION share/pixmaps/synfigstudio
	)
endif()

add_custom_target(
	build_images
	DEPENDS synfig_bin ${PIXMAPS}
)

=== synfig-studio/src/CMakeLists.txt ===
##
## Find packages
##

## TODO: check version
if ("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    find_package(synfig CONFIG REQUIRED)
endif()

find_package(Gettext)

if (Gettext_FOUND)
    set(ENABLE_NLS ON)
    set(GETTEXT_PACKAGE ${PROJECT_NAME})
endif()

## TODO: check if we really need to find deps common with synfig core
find_package(PkgConfig REQUIRED)
pkg_check_modules(SIGCPP REQUIRED IMPORTED_TARGET sigc++-2.0)
pkg_check_modules(GTKMM3 REQUIRED IMPORTED_TARGET gtkmm-3.0)
pkg_check_modules(XMLPP REQUIRED IMPORTED_TARGET libxml++-2.6)
pkg_check_modules(FONTCONFIG IMPORTED_TARGET fontconfig) # for FontConfig
pkg_check_modules(JACK IMPORTED_TARGET jack)
pkg_search_module(MLT IMPORTED_TARGET mlt++-7 mlt++) # required for widget_soundwave

if(FONTCONFIG_FOUND)
	add_definitions(-DWITH_FONTCONFIG)
endif()

if (NOT MLT_FOUND)
	add_definitions(-DWITHOUT_MLT) # disable MLT if not found
endif()

##
## Config
##

add_definitions(-DHAVE_CONFIG_H)
configure_file(config.h.cmake.in config.h)

##
## Header include dirs
##

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

##
## Sub-directories
##

add_subdirectory(synfigapp)
add_subdirectory(gui)

=== synfig-studio/test/CMakeLists.txt ===
add_executable(test_app_layerduplicate app_layerduplicate.cpp)
target_link_libraries(test_app_layerduplicate PRIVATE synfigapp)
target_include_directories(test_app_layerduplicate PRIVATE ${PROJECT_SOURCE_DIR}/src)
add_test(NAME test_app_layerduplicate COMMAND test_app_layerduplicate)

add_executable(test_smach smach.cpp)
target_link_libraries(test_smach PRIVATE synfigapp libsynfig)
target_include_directories(test_smach PRIVATE ${PROJECT_SOURCE_DIR}/src)
add_test(NAME test_smach COMMAND test_smach)

if (NOT WIN32)
set_target_properties(
        test_app_layerduplicate test_smach
        PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/test
)
endif()

=== synfig-studio/src/gui/CMakeLists.txt ===
##
## Configure
##

set(STUDIO_VERSION "${STUDIO_VERSION_MAJOR}.${STUDIO_VERSION_MINOR}.${STUDIO_VERSION_PATCH}")
set(SHOW_EXTRA_INFO OFF) # this needs some fixes to work
set(DATA_PREFIX "${CMAKE_INSTALL_PREFIX}" CACHE PATH "Path, where the share directory with the pixmaps, sounds, plugins and translations is located. Default: Prefix, where Synfig Studio is going to be installed")
set(IMG_EXT "png" CACHE STRING "File extension of the pixmaps (without the \".\"). Default: png")

configure_file(autorevision.h.cmake.in autorevision.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

## Defines
set(SYNFIG_DATA_PREFIX "${DATA_PREFIX}/share/synfig")

add_definitions(-DIMAGE_EXT="${IMG_EXT}")
add_definitions(-DIMAGE_DIR="${DATA_PREFIX}/share/pixmaps")
add_definitions(-DSYNFIG_DATADIR="${SYNFIG_DATA_PREFIX}")
add_definitions(-DLOCALEDIR="${DATA_PREFIX}/share/locale")
add_definitions(-DCMAKE_BUILD)
add_definitions(-DDEVEL_VERSION="Revision date: ${GIT_DATE}\\nBranch: ${GIT_BRANCH}\\nRevision ID: ${GIT_HASH}")

if (CMAKE_BUILD_TYPE MATCHES Debug)
	add_definitions("-DSHOW_EXTRA_INFO")
	add_definitions(-DETL_VERSION="${ETL_VERSION}")
endif()

##
## Targets
##

if(WIN32)
	set(RC_FILE ${SYNFIG_BUILD_ROOT}/share/synfig/icons/classic/synfigstudio.rc)
	configure_file(synfigstudio.rc ${RC_FILE})
	add_executable(synfigstudio main.cpp ${RC_FILE})
else()
	add_executable(synfigstudio main.cpp)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

target_sources(synfigstudio
	PRIVATE
		"${CMAKE_CURRENT_LIST_DIR}/duck.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/timemodel.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/app.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/asyncrenderer.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/autorecover.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/canvasview.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/devicetracker.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialogsettings.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/duckmatic.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/iconcontroller.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/instance.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/keymapsettings.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/onemoment.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/pluginmanager.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/preview.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/progresslogger.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/renddesc.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/render.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/resourcehelper.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/splash.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/statemanager.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/timeplotdata.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/waypointrenderer.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/workarea.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/workspacehandler.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/main_win32.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/mainwindow.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/helpers.cpp"
)

include(actionmanagers/CMakeLists.txt)
include(cellrenderer/CMakeLists.txt)
include(dialogs/CMakeLists.txt)
include(dials/CMakeLists.txt)
include(docks/CMakeLists.txt)
include(modules/CMakeLists.txt)
include(states/CMakeLists.txt)
include(trees/CMakeLists.txt)
include(widgets/CMakeLists.txt)
include(workarearenderer/CMakeLists.txt)

add_subdirectory(resources)

target_link_libraries(synfigstudio PRIVATE
	PkgConfig::GTKMM3
	PkgConfig::XMLPP
	libsynfig
	synfigapp
)

if (FONTCONFIG_FOUND)
	target_link_libraries(synfigstudio PRIVATE PkgConfig::FONTCONFIG)
endif ()

if (JACK_FOUND)
	target_compile_definitions(synfigstudio PRIVATE WITH_JACK)
	target_link_libraries(synfigstudio PRIVATE PkgConfig::JACK)
endif ()

if (MLT_FOUND)
	target_link_libraries(synfigstudio PRIVATE PkgConfig::MLT)
endif ()

if(TCMALLOC_LIBRARY)
	target_link_libraries(synfigstudio PRIVATE ${TCMALLOC_LIBRARY})
endif()

install(
	TARGETS synfigstudio
	DESTINATION bin
)

=== synfig-studio/src/synfigapp/CMakeLists.txt ===
add_library(synfigapp SHARED "")

target_include_directories(synfigapp SYSTEM PUBLIC ${LIBXML_INCLUDE_DIRS})

target_sources(synfigapp
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/action.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/action_param.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/action_system.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/blineconvert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/wplistconverter.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasinterface.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/inputdevice.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/instance.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/main.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/settings.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timegather.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/uimanager.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/value_desc.cpp"
)

target_link_libraries(synfigapp libsynfig)

include(actions/CMakeLists.txt)
include(vectorizer/CMakeLists.txt)

if(WIN32)
    install(
        TARGETS synfigapp
        DESTINATION bin
    )
else()
    install(
        TARGETS synfigapp
        DESTINATION lib
    )
endif()

=== synfig-studio/src/gui/dialogs/CMakeLists.txt ===
target_sources(synfigstudio
	PRIVATE
		"${CMAKE_CURRENT_LIST_DIR}/about.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/canvasoptions.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/canvasproperties.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/canvasresize.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_canvasdependencies.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_color.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_gradient.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_input.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_keyframe.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_pasteoptions.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_preview.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_setup.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_soundselect.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_targetparam.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_ffmpegparam.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_spritesheetparam.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_waypoint.cpp"
                "${CMAKE_CURRENT_LIST_DIR}/dialog_guide.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_workspaces.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/dialog_template.cpp"
		"${CMAKE_CURRENT_LIST_DIR}/vectorizersettings.cpp"
    
)

=== synfig-studio/src/gui/trees/CMakeLists.txt ===
target_sources(synfigstudio
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/childrentree.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframetree.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layergrouptree.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layertree.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/metadatatree.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_stripedtreeview.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/canvastreestore.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/childrentreestore.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/historytreestore.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframetreestore.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layergrouptreestore.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamtreestore.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layertreestore.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/metadatatreestore.cpp"
)

=== synfig-studio/src/gui/widgets/CMakeLists.txt ===
target_sources(synfigstudio
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/widget_canvaschooser.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_canvastimeslider.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_color.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_coloredit.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_curves.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_defaults.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_distance.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_enum.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_sublayer.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_filename.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_fontfamily.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_gradient.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_interpolation.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_link.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_time.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_timeslider.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_value.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_vector.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_waypoint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_waypointmodel.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_keyframe_list.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_bonechooser.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_ruler.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_soundwave.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_timegraphbase.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_timetrack.cpp"
)

=== synfig-studio/src/gui/workarearenderer/CMakeLists.txt ===
target_sources(synfigstudio
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/renderer_background.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_bbox.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_canvas.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_dragbox.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_ducks.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_frameerror.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_grid.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_guides.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_timecode.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_bonesetup.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/renderer_bonedeformarea.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/workarearenderer.cpp"
)

=== synfig-studio/src/synfigapp/actions/CMakeLists.txt ===
target_sources(synfigapp
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/layeractivate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layeradd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layeraddframe.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layercopy.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerduplicate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerembed.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerencapsulate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerencapsulatefilter.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerencapsulateswitch.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerextract.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerfit.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerlower.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layermove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layermakebline.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerpaint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamdisconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamunsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerraise.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerresetpose.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layersetdesc.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layersetexcludefromrendering.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerzdepthrangeset.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/valuedescconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescconvert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescdisconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescexport.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedesclink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescblinelink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescsetinterpolation.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescremovesmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescbonelink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescskeletonlink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedesccreatechildbone.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescresetpose.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescbake.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescbonesetparent.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/valuenodeadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodeconstset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodeconstsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodeconstunsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistinsert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistinsertsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistremovesmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistrotateorder.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodesetactivebone.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistunloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistinsert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistinsertsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistremovesmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistrotateorder.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistunloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodelinkconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodelinkdisconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenoderemove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenoderename.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodereplace.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/vectorization.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/waypointadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointsetsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointsimpleadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointdisconnect.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/timepointscopy.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timepointsdelete.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timepointsmove.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/activepointadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointsetoff.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointseton.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointsetsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointsimpleadd.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/keyframeadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframeduplicate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframeremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframetoggle.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframeset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframesetdelta.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframewaypointset.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/canvasadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasdescriptionset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasidset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasmetadataerase.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasmetadataset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasnameset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasrenddescset.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/groupaddlayers.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/groupremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/groupremovelayers.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/grouprename.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/blinepointtangentmerge.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/blinepointtangentsplit.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/colorset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/editmodeset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/gradientset.cpp"
)

=== synfig-studio/src/gui/resources/css/CMakeLists.txt ===
set(INSTALL_DESTINATION "share/synfig/css")
set(CSS_FILES
	synfig_dialog.css
	synfig.css
	synfig.mac.css
)

foreach(CSS_FILE ${CSS_FILES})
	configure_file(${CSS_FILE} ${SYNFIG_BUILD_ROOT}/${INSTALL_DESTINATION}/${CSS_FILE} COPYONLY)
endforeach()

install(FILES ${CSS_FILES}
	DESTINATION ${INSTALL_DESTINATION}
)

=== compilar/synfig/etl/debian/changelog ===
etl (1.5.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1099918)
  * Drop backported patch: it is now obsolete
  * debian/patches:
    + 0001-buildETL-cleanup-dismissed-ETL-dependencies.patch : backported
       patch from upstream to reduce package dependencies
  * Build-Depends:
    - pkgconf
    - libglibmm-2.4-dev
  * Standards-Version: 4.7.1 (no changes required)

 -- Rodolfo Gomes <debian@rodolfo.eng.br>  Sun, 09 Mar 2025 08:10:16 -0300

etl (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Build-Depends:
    + pkg-config
    + libglibmm-2.4-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 13:03:21 +1000

etl (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Backport fix from upstream to provide compatibility with GCC-11, with
    thanks to Rodolfo Ribeiro Gomes for pointing out the relevant commit
    (Closes: #984053)

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Mar 2022 16:49:38 +1100

etl (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dmitry Smirnov ]
  * New upstream release
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * "watch" file to track GitHub releases
  * DH to version 13

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 22:39:21 +1100

etl (1.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Change Maintainer to @lists.debian.org
  * d/watch: Use https protocol

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Jan 2019 14:38:24 +1100

etl (1.2.1-1) unstable; urgency=medium

  * New patch to fix FTBFS with GCC8 (Closes: #897745)
    Thanks, Philip Chung.
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.5.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Jul 2018 01:13:18 +1000

etl (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Bump standards vesion.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Apr 2018 23:14:24 +0200

etl (0.04.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream gcc 7 fix. (Closes: #853674)
  * Make test failures fatal to catch such errors earlier.
  * Stop setting the (already default) xz compression.

 -- Adrian Bunk <bunk@debian.org>  Sun, 01 Oct 2017 19:19:36 +0300

etl (0.04.19-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 17:56:09 +1000

etl (0.04.18-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Standards-Version: 3.9.6.
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 03:01:19 +1000

etl (0.04.17-1) unstable; urgency=low

  * New upstream release [November 2013].
  * Standards to 3.9.5.
  * As per his request removed Denis Washington from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2013 13:33:31 +1100

etl (0.04.16-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Standards to 3.9.4.
  * xz compression for source and binary packages.
  * Minor debian/watch update.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 May 2013 19:36:15 +1000

etl (0.04.15-1) unstable; urgency=low

  * New maintainers (Closes: #665041)
  * New upstream release.
  * imported latest QA changes
  * Packaging update
    + to straight debhelper + dh-autoreconf
    + compat & debhelper to version 9
    + corrected Vcs-Browser URL
    + allow dh_auto_test failure (fixes FTBFS)
    + Maintainer set to d-multimedia

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 16:24:53 +1000

etl (0.04.13-1) unstable; urgency=low

  * QA Upload
  * Proper orphaning: clean up Uploaders and set Maintainer to QA
  * New upstream release
  * Bump standards-version to 3.8.3 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 24 Jan 2010 00:24:18 +0100

etl (0.04.12-3) UNRELEASED; urgency=low

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Paul Wise ]
  * Remove me from uploaders, no longer interested in synfig

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Feb 2009 18:55:46 +0100

etl (0.04.12-2) unstable; urgency=low

  * Upload to unstable
  * Drop Voria from the package description in line with upstream
  * Switch to debhelper compat level 7
  * Switch from dh_clean -k to dh_prep

 -- Paul Wise <pabs@debian.org>  Wed, 25 Feb 2009 02:24:08 +0900

etl (0.04.12-1) experimental; urgency=low

  * New upstream release
  * Drop upstream ChangeLog since it was empty for this release
  * Wrap the uploaders and build-deps fields
  * Support parallel builds
  * Now compliant with policy 3.8.0

 -- Paul Wise <pabs@debian.org>  Thu, 13 Nov 2008 14:14:35 +0900

etl (0.04.11-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Move the homepage from “synfig.com” to “synfig.org”.
  * Bump Standards-Version from 3.7.2 to 3.7.3 (no changes needed).

  [ Paul Wise ]
  * Drop the documentation from the package. If you used it, please
    visit the upstream website: http://synfig.org/api/

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 07 Mar 2008 23:50:42 +0100

etl (0.04.10-1) unstable; urgency=low

  * New upstream release.

 -- Paul Wise <pabs@debian.org>  Thu, 11 Oct 2007 11:04:40 +1000

etl (0.04.10~rc3-1) unstable; urgency=low

  * New upstream release.
  * Add myself to the Uploaders.
  * Add Homepage, Vcs-Browser, and Vcs-Svn fields to the source package.
  * Do not add the following to Build-Depends since only the HTML
    documentation is being generated, not the PDF one:
     - texlive-extra-utils for epstopdf.
     - gs-esp | gs-gpl for gs.
  * No longer ignore make distclean errors, per lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 09 Oct 2007 01:50:24 +0200

etl (0.04.09-1) unstable; urgency=low



=== compilar/synfig/synfig/debian/changelog ===
synfig (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: removed unneeded ones
    - binutils
    - libboost-all-dev
    - libcairo-dev
    - libpango1.0-dev
  * debian/patches:
    + 0001-buildETL-cleanup-dismissed-ETL-dependencies.patch : backported
       patch from upstream to reduce package dependencies
    - 2709.patch : patched in upstream
    - strip-build-date.patch : patched in upstream
  * Standards-Version: 4.7.2. (no changes required)

 -- Rodolfo Gomes <debian@rodolfo.eng.br>  Sat, 22 Mar 2025 17:34:19 -0300

synfig (1.5.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1063004)
  * Bump debhelper compat to v13.
  * debian/rules: Use execute_after syntax when available.
  * debian/not-installed: Add to exclude installation of .la files.
  * debian/libsynfig0a.install: Dropped, binary package now gone.
  * debian/control: Drop useless build-dependency autopoint.
  * debian/control: Update build-dependencies:
    + libgl1-mesa-dev => libgl-dev
    + libfontconfig1-dev => libfontconfig-dev
    + libfreetype6-dev => libfreetype-dev

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jul 2024 15:03:39 -0400

synfig (1.5.1+dfsg-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Feb 2024 11:45:00 +0000

synfig (1.5.1+dfsg-3) unstable; urgency=medium

  * New upstream patch to fix FTBFS with ffmpeg-5.0 (Closes: #1013460).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 15:06:27 +1000

synfig (1.5.1+dfsg-2) unstable; urgency=medium

  * New upstream patch to fix FTBFS/tests on i686.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Apr 2022 16:31:24 +1000

synfig (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed FTBFS issues (Closes: #1008386, #1007167).
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 13:51:25 +1000

synfig (1.4.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dmitry Smirnov ]
  * relax to recommend (not depend on) libdv-bin;
    closes: bug#980418, thanks to Helmut Grohne

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream to support MLT++-7 in autotools;
    closes: bug#993832, thanks to Adrian Bunk and peter green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Sep 2021 14:09:28 +0200

synfig (1.4.0+dfsg-2) unstable; urgency=medium

  * dev: added missing dependencies.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jan 2021 17:21:12 +1100

synfig (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * No longer build with '--with-opengl' due to FTBFS.
  * Marked synfig "Multi-Arch: foreign" (Closes: #921142).
    Thanks, Helmut Grohne.
  * Rules-Requires-Root: no
  * rules: removed "--as-needed".
  * Build-Depends:
    + libavcodec-dev
    + libavformat-dev
    + libavutil-dev
    + libswscale-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 22:58:48 +1100

synfig (1.2.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * debian/patches: Apply upstream patch to fix build with icu 67 (Closes:
    #962069)
  * Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jun 2020 23:41:58 +0200

synfig (1.2.2+dfsg-2) unstable; urgency=medium

  * Re-build to fix segfaults due to ABI breakage somewhere (Closes: #941633).
  * Build using '--with-opengl';
    Build-Depends += "libgl1-mesa-dev"
  * DH to version 12
  * "watch" file to track GitHub releases.
    SourceForge tarball is incomplete...

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 18 Dec 2019 14:52:12 +1100

synfig (1.2.2-1) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * New reproducible buiild patch (Closes: #820072).

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.3.0.
  * debhelper & compat to version 11.
  * VCS URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 17:41:06 +1100

synfig (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Rename libsynfig0v5 to libsynfig0a. Upstream symbol version changes
    without bumping the soname.
  * Update (build) dependency on etl-dev. Closes: #895503.
  * Stop building the -dbg package.
  * Build-depend on intltool and libfftw3-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2018 13:09:54 +0200

synfig (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - etl-dev (>= 0.04.18)
    + etl-dev (>= 0.04.19)
  * Disabled "no-mod_ffmpeg.patch".
  * New "c++11.patch" to fix FTBFS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Nov 2015 20:57:05 +1100

synfig (1.0-2) unstable; urgency=medium

  * Team upload.
  * Rename libsynfig0 to libsynfig0v5 for the GCC 5 transition. (Closes:
    #797994)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Sep 2015 20:03:32 +0200

synfig (1.0-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Build-Depends:
    - etl-dev (>= 0.04.17)
    + etl-dev (>= 0.04.18)
    + libmlt-dev
    + libmlt++-dev
  * Dropped obsolete "hurd-path_max.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 09:33:13 +1000

synfig (0.64.2-2) unstable; urgency=medium

  * New "hurd-path_max.patch" to fix FTBFS on GNU Hurd.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Nov 2014 11:35:00 +1100

synfig (0.64.2-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Added "debian/gbp.conf".
  * Standards-Version: 3.9.6.
  * Breaks: synfigstudio (<< 0.64.2).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Oct 2014 23:09:19 +1100

synfig (0.64.1-2) unstable; urgency=medium

  * Build using "--with-boost-libdir" to fix FTBFS with multi-arch Boost
    (Closes: #738379).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Feb 2014 21:05:10 +1100

synfig (0.64.1-1) unstable; urgency=low

  * New upstream release [November 2013].


=== compilar/synfig/synfigstudio/debian/changelog ===
synfigstudio (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.

 -- Rodolfo Gomes <debian@rodolfo.eng.br>  Sat, 22 Mar 2025 17:34:19 -0300

synfigstudio (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 19:44:58 +1000

synfigstudio (1.4.0+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release.
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * rules: `ln` verbosity
  * rules: removed "--as-needed"
  * "watch" file to track GitHub releases.
  * Removed "libgtk2.0-dev" from Build-Depends (Closes: #967765).
  * Build-Depends:
    + libavcodec-dev
    + libavformat-dev
    + libavutil-dev
    + libswscale-dev

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Changed Maintainer from @lists.alioth.debian.org to @lists.debian.org
  * Bump Standards-Version to 4.4.1
  * d/watch: Use https protocol

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jan 2021 18:52:19 +1100

synfigstudio (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * dbgsym-migration: dropped -dbg package.
  * Debhelper & compat to version 11.
  * Standards-Version: 4.3.0
  * Priority: optional.
  * VCS URLs to Salsa.
  * New patch to remove embedded copy of PKG_CHECK_MODULES (Closes: #900433).
    Thanks, Helmut Grohne.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 20:18:41 +1100

synfigstudio (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #883594.
  * Update build dependency on font packages. Closes: #895162.
  * Build-depend on pkg-config and libfftw3-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Apr 2018 21:14:59 +0200

synfigstudio (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - etl-dev (>= 0.04.18)
    + etl-dev (>= 0.04.19)
    - libsynfig-dev (>= 0.64.2)
    + libsynfig-dev (>= 1.0.2)
    - synfig (>= 1.0)
    + synfig (>= 1.0.2)
    + libmagick++-dev
  * New "c++11.patch" to fix FTBFS (Closes: #803037).
  * Removed .menu file (command-in-menu-file-and-desktop-file).
  * control: modernise Vcs-Browser URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Nov 2015 20:54:13 +1100

synfigstudio (1.0-1) unstable; urgency=medium

  * New upstream release [April 2015].
  * Dropped all backported patches.
  * Build-Depends:
    - etl-dev (>= 0.04.17)
    + etl-dev (>= 0.04.18)
    - libgtkmm-2.4-dev
    + libgtkmm-3.0-dev
    + libmlt-dev
    + libmlt++-dev
    - synfig (>= 0.64.1)
    + synfig (>= 1.0)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 19:05:33 +1000

synfigstudio (0.64.2-2) unstable; urgency=medium

  * Added two new upstream patches for compatibility with Glib-2.42
    (Closes: #772748).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Dec 2014 16:22:23 +1100

synfigstudio (0.64.2-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Build-Depenbds: libsynfig-dev (>= 0.64.2).
  * Added "debian/gbp.conf".
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Oct 2014 23:28:28 +1100

synfigstudio (0.64.1-1) unstable; urgency=low

  * New upstream release [November 2013].
  * Standards to 3.9.5.
  * Build-Depends on new "etl-dev (>= 0.04.17)", "synfig (>= 0.64.1)",
    "libsynfig-dev (>= 0.64.1)".
  * As per his request removed Denis Washington from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2013 15:33:31 +1100

synfigstudio (0.64.0-2) unstable; urgency=low

  * Re-build to introduce versioned dependency on libsynfig
    (Closes: #709779).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 15:34:09 +1000

synfigstudio (0.64.0-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Standards to 3.9.4.
  * xz compression for source and binary packages.
  * Minor debian/watch update.
  * Added "intltool" to Build-Depends and invoke `intltoolize` after
    dh-autoreconf.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 May 2013 02:42:38 +1000

synfigstudio (0.63.05-1) unstable; urgency=low

  * New maintainers (Closes: #665045)
  * New upstream release.
  * imported latest QA changes
  * Packaging update
    + to straight debhelper + dh-autoreconf
    + compat & debhelper to version 9
    + standards to 3.9.2
    + use DPKG build flags & default hardening
    + --as-needed to avoid needless linking
    + parallel build by default on linux
    + corrected Vcs-Browser URL
    + build-deps recalculated
    + set d-multimedia as Maintainer
    - install libsynfigapp0 as private library,
      not as standalone package

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 16:57:32 +1000

synfigstudio (0.62.00-1) unstable; urgency=low

  * QA upload
  * Properly orphan the package (set Maintainer to QA, empty Uploaders)
  * New upstream release
  * Bump build-dep on (lib)synfig to most recent version
  * Bump standards-version to 3.8.3, no changes needed
  * Change section of the "-dbg" package to debug, thanks lintian

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Jan 2010 11:20:50 +0100

synfigstudio (0.61.09-3) UNRELEASED; urgency=low

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Paul Wise ]
  * Remove me from uploaders, no longer interested in synfig

 -- Cyril Brulebois <kibi@debian.org>  Thu, 26 Feb 2009 20:49:33 +0100

synfigstudio (0.61.09-2) unstable; urgency=low

  * Upload to unstable after the lenny freeze
  * Switch to debhelper compat level 7
  * Switch from dh_clean -k to dh_prep
  * Link to the correct versions of the GPL
  * Drop duplicate Priority field for -dbg package

 -- Paul Wise <pabs@debian.org>  Thu, 26 Feb 2009 16:39:59 +0900

synfigstudio (0.61.09-1) experimental; urgency=low

  * New upstream release
  * Drop upstream ChangeLog since it was empty for this release


=== debian/changelog ===
zdkimfilter (3.20) stable; urgency=low

  * New version 3.20 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 14 May 2024 14:02:07 +0200

zdkimfilter (3.19) stable; urgency=low

  * New version 3.19 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 09 May 2024 15:45:07 +0200

zdkimfilter (3.18) stable; urgency=low

  * New version 3.18 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 19 Apr 2024 16:45:50 +0200

zdkimfilter (3.17) stable; urgency=low

  * New version 3.17 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 10 Oct 2023 12:49:31 +0200

zdkimfilter (3.16) stable; urgency=low

  * New version 3.16 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 08 Sep 2023 19:34:49 +0200

zdkimfilter (3.15) stable; urgency=low

  * New version 3.15 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 29 Mar 2023 11:51:42 +0200

zdkimfilter (3.14) stable; urgency=low

  * New version 3.14 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 10 Mar 2023 09:32:06 +0100

zdkimfilter (3.13) stable; urgency=low

  * New version 3.13 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 10 Jan 2023 11:13:04 +0100

zdkimfilter (3.12) stable; urgency=low

  * New version 3.12 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 02 Jan 2023 13:08:05 +0100

zdkimfilter (3.11) stable; urgency=low

  * New version 3.11 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 29 Jun 2022 08:57:19 +0200

zdkimfilter (3.10) stable; urgency=low

  * New version 3.10 released

 -- Alessandro Vesely <vesely@tana.it>  Sat, 14 May 2022 18:49:52 +0200

zdkimfilter (3.9) stable; urgency=low

  * New version 3.9 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 24 Feb 2022 17:54:52 +0100

zdkimfilter (3.8) stable; urgency=low

  * New version 3.8 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 17 Nov 2021 12:33:35 +0100

zdkimfilter (3.7) stable; urgency=low

  * New version 3.7 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 11 Oct 2021 12:42:57 +0200

zdkimfilter (3.6) stable; urgency=low

  * New version 3.6 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 21 Jun 2021 17:09:09 +0200

zdkimfilter (3.5) stable; urgency=low

  * New version 3.5 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 01 Jun 2021 11:53:10 +0200

zdkimfilter (3.4) stable; urgency=low

  * New version 3.4 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 20 May 2021 17:27:14 +0200

zdkimfilter (3.3) stable; urgency=low

  * New version 3.3 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 02 Apr 2021 17:05:08 +0200

zdkimfilter (3.2) stable; urgency=low

  * New version 3.2 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 25 Feb 2021 11:31:41 +0100

zdkimfilter (3.1) stable; urgency=low

  * New version 3.1 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 02 Feb 2021 11:06:43 +0100

zdkimfilter (3.0) stable; urgency=low

  * New version 3.0 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 18 Nov 2020 12:25:49 +0100

zdkimfilter (2.2) stable; urgency=low

  * New version 2.2 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 31 Aug 2020 17:37:53 +0200

zdkimfilter (2.1) stable; urgency=low

  * New version 2.1 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 06 May 2020 10:24:40 +0200

zdkimfilter (2.0) stable; urgency=low

  * New version 2.9 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 25 Mar 2020 19:15:45 +0100

zdkimfilter (1.8) stable; urgency=low

  * New version 1.8 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 15 Oct 2019 10:01:13 +0200

zdkimfilter (1.7) stable; urgency=low

  * New version 1.7 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 24 Sep 2019 10:40:09 +0200

zdkimfilter (1.6-1) stable; urgency=low

  * Initial release

 -- Viktor Szépe <viktor@szepe.net>  Tue, 06 Dec 2016 00:01:29 +0000

=== autobuild/macports/multimedia/ffmpeg/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
PortSystem          1.0
PortGroup           xcodeversion 1.0
PortGroup           muniversal 1.0
PortGroup           compiler_blacklist_versions 1.0
PortGroup           active_variants 1.1
name                ffmpeg
conflicts           ffmpeg-devel
epoch               1
version             2.7.2
license             LGPL-2.1+
categories          multimedia
maintainers         devans jeremyhu openmaintainer
description         FFmpeg is a complete solution to play, record, convert and \
                    stream audio and video.
long_description    FFmpeg is a complete solution to record, convert and \
                    stream audio and video. It includes libavcodec, the \
                    leading audio/video codec library. \
                    \
                    The project is made of several components: \
                    \
                    ffmpeg is a command line tool to convert one video \
                    file format to another. It also supports grabbing and \
                    encoding in real time from a TV card. \
                    \
                    ffserver is an HTTP (RTSP is being developed) \
                    multimedia streaming server for live broadcasts. Time \
                    shifting of live broadcast is also supported. \
                    \
                    ffplay is a simple media player based on SDL and on \
                    the ffmpeg libraries. \
                    \
                    ffprobe gathers information from multimedia streams and \
                    prints it in human- and machine-readable fashion. \
                    \
                    libavcodec is a library containing all the ffmpeg \
                    audio/video encoders and decoders. Most codecs were \
                    developed from scratch to ensure best performance \
                    and high code reusability. \
                    \
                    libavformat is a library containing parsers and \
                    generators for all common audio/video formats.
platforms           darwin
homepage            http://www.ffmpeg.org/
master_sites        http://www.ffmpeg.org/releases/
use_bzip2           yes
checksums           rmd160  6f37e04000258faf2680279fcc0fa58fec169769 \
                    sha256  7ceb7550ad628c526fa6c9ff23fdfb687a62f54d90c4a730998d8c2b417b9ef2
depends_build       port:pkgconfig \
                    port:gmake \
                    port:texinfo
# libvpx is static only so can be considered a build dependency (#47934)
depends_build-append \
                    port:libvpx
depends_lib         port:lame \
                    port:libiconv \
                    port:libvorbis \
                    port:libopus \
                    port:libogg \
                    port:libtheora \
                    port:libmodplug \
                    port:schroedinger \
                    port:libass \
                    port:libbluray \
                    port:gnutls \
                    port:openjpeg15 \
                    port:fontconfig \
                    port:freetype \
                    port:fribidi \
                    path:lib/libspeex.dylib:speex \
                    port:libsdl \
                    port:bzip2 \
                    port:xz \
                    port:zlib
build.cmd           ${prefix}/bin/gmake
build.env-append    V=1
#
# enable auto configure of asm optimizations
# requires Xcode 3.1 or better on Leopard
#
minimum_xcodeversions {9 3.1}
if {[lsearch [get_canonical_archs] i386] != -1} {
    # clang-3.1 hits https://trac.macports.org/ticket/30137 (<rdar://problem/11542429>)
    # clang-139 hits https://trac.macports.org/ticket/38141
    compiler.blacklist-append {clang < 422.1.7} macports-clang-3.1
}
# The old ffmpeg port was GPL-2+ as base and had a no_gpl variant, so this keeps us consistent
# Also, -gpl2 causes other ports to fail to build due to the missing libpostproc (#35473)
default_variants-append +gpl2
configure.cflags-append -DHAVE_LRINTF ${configure.cppflags}
configure.args      --enable-swscale \
                    --enable-avfilter \
                    --enable-avresample \
                    --enable-libmp3lame \
                    --enable-libvorbis \
                    --enable-libopus \
                    --enable-libtheora \
                    --enable-libschroedinger \
                    --enable-libopenjpeg \
                    --enable-libmodplug \
                    --enable-libvpx \
                    --enable-libspeex \
                    --enable-libass \
                    --enable-libbluray \
                    --enable-lzma \
                    --enable-gnutls \
                    --enable-fontconfig \
                    --enable-libfreetype \
                    --enable-libfribidi \
                    --disable-libxcb \
                    --disable-libxcb-shm \
                    --disable-libxcb-xfixes \
                    --disable-indev=jack \
                    --disable-outdev=xv \
                    --disable-vda \
                    --mandir=${prefix}/share/man \
                    --enable-shared --enable-pthreads \
                    --cc=${configure.cc}
# disable asm on Tiger
# libblueray doesn't build on Tiger so disable for now (#39442)
platform darwin {
    if {${os.major} < 9} {
        depends_lib-delete    port:libbluray
        configure.args-delete --enable-libbluray
        configure.args-append --disable-libbluray
        configure.args-append --disable-asm
    }
    # VDA (video hardware acceleration, mostly H264) is only supported on 10.6.3+
    if {${os.major} > 10 || (${os.major} == 10 && ${os.minor} >= 3)} {
        configure.args-delete --disable-vda
        configure.args-append --enable-vda
    }
    # kCVPixelFormatType_OneComponent8 used in avfoundation indev is only available on 10.8+
    if {${os.major} < 12} {
        configure.args-append --disable-indev=avfoundation
    }
}
test.run            yes
#
# configure isn't autoconf and they do use a dep cache
#
post-destroot {
    file mkdir ${destroot}${prefix}/share/doc/ffmpeg
    file copy ${worksrcpath}/doc/APIchanges ${destroot}${prefix}/share/doc/ffmpeg
    foreach f [glob ${worksrcpath}/doc/*.txt] {
        file copy $f ${destroot}${prefix}/share/doc/ffmpeg
    }
}
platform powerpc {
    # absence of altivec is not automatically detected
    if {[catch {sysctl hw.vectorunit} result] || $result == 0} {
        configure.args-append --disable-altivec
    }
}
platform darwin 8 {
    post-patch {
        reinplace "s:,-compatibility_version,$\(LIBMAJOR\)::" ${worksrcpath}/configure
    }
}
configure.universal_args-delete --disable-dependency-tracking
if {[variant_isset universal]} {
    foreach arch ${configure.universal_archs} {
        set merger_host($arch) ""
        lappend merger_configure_args($arch) --arch=${arch}
        lappend merger_configure_env($arch)  ASFLAGS='-arch ${arch}'
    }
    if {[string match "*86*" ${configure.universal_archs}]} {
        depends_build-append port:yasm
    }
    lappend merger_configure_args(i386) --enable-yasm
    lappend merger_configure_args(x86_64) --enable-yasm
} else {
    configure.args-append --arch=${configure.build_arch}
    configure.env-append  ASFLAGS='[get_canonical_archflags]'
    if {${build_arch} eq "i386" || ${build_arch} eq "x86_64"} {
        depends_build-append port:yasm
        configure.args-append --enable-yasm
    }
}
variant x11 {
#
# enable x11grab_xcb input device
#
    depends_lib-append      port:xorg-libxcb \
                            port:xorg-libXext \
                            port:xorg-libXfixes
    configure.args-delete   --disable-libxcb \
                            --disable-libxcb-shm \
                            --disable-libxcb-xfixes \
}
default_variants +x11
if {[variant_isset x11]} {
    require_active_variants libsdl x11
} else {
    require_active_variants libsdl "" x11
}
variant libdc1394 description {Enable IIDC-1394 frame grabbing using libdc1394 (experimental)} {
    depends_lib-append port:libdc1394
    configure.args-append --enable-libdc1394
}
# Allow use of librtmp instead of ffmpeg's internal rtmp implementation
# May address interoperability issues with CRtmpServer and others
# https://trac.macports.org/ticket/32219
# https://groups.google.com/forum/#!topic/c-rtmp-server/ywQPjvciPgc
# https://trac.ffmpeg.org/ticket/1700
variant librtmp description {Use librtmp (from rtmpdump) as rtmp[t][es]:// protocol handler} {
    configure.args-append   --enable-librtmp
    depends_lib-append      port:rtmpdump
}
# x265 currently does not support OS X < 10.6 (#48336, #48338)
# x265 cmake issues cause universal build to fail (#48331)
# make libx265 support optional via +libx265 variant
# only define variant for non-universal builds on 10.6 or greater
platform darwin {
    if {${os.major} > 8 && [variant_isset gpl2] && ![variant_isset universal]} {
        variant libx265 description {Build with support for encoding HEVC video using libx265} {
            configure.args-append   --enable-libx265
            depends_lib-append      port:x265
        }
    }
}
variant gpl2 description {Enable GPL code, license will be GPL-2+} {
    configure.args-append   --enable-gpl \
                            --enable-postproc \
                            --enable-libx264 \
                            --enable-libxvid
    depends_lib-append      port:XviD \
                            port:x264
    license                 GPL-2+
}
variant gpl3 requires gpl2 description {Enable GPL code, license will be GPL-3+} {
    configure.args-append   --enable-version3 \
                            --enable-libopencore-amrnb \
                            --enable-libopencore-amrwb \
                            --enable-libsmbclient
    depends_lib-append      port:opencore-amr \
                            port:samba3
    license                 GPL-3+
}
# the build server uses the default variants, and we want distributable binaries
# nonfree code is disabled by default but can be enabled using the +nonfree variant
variant nonfree description {enable nonfree code, libraries and binaries will not be redistributable} {
    configure.args-append   --enable-nonfree \
                            --enable-libfdk-aac \
                            --enable-libfaac
    depends_lib-append      port:libfdk-aac \
                            port:faac
    license                 Restrictive
}
if {[variant_isset nonfree]} {
notes "
*******
******* This build of ${name} includes nonfree code as follows:
*******
*******     libfaac
*******     libfdk-aac
*******
******* The following libraries and binaries may not be redistributed:
*******
*******     ffmpeg
*******     libavcodec
*******     libavdevice
*******     libavfilter
*******     libavformat
*******     libavutil
*******
******* To remove this restriction remove the variant +nonfree
*******
"
} elseif {[variant_isset gpl3]} {
notes "
*******
******* This build of ${name} includes GPLed code and
******* is therefore licensed under GPL v3 or later.
*******
******* The following modules are GPLed:
*******
*******      postproc
*******      libsambaclient
*******      libx264
*******      libx265
*******      libxvid
*******      opencore-amr
*******
******* To include all nonfree, GPLed and LGPL code use variant +nonfree.
******* To remove nonfree and GPLed code leaving only LGPL code remove the
******* +gpl2 and +gpl3 variants.
*******
"
} elseif {[variant_isset gpl2]} {
notes "
*******
******* This build of ${name} includes GPLed code and
******* is therefore licensed under GPL v2 or later.
*******
******* The following modules are GPLed:
*******
*******      postproc
*******      libx264
*******      libx265
*******      libxvid
*******

=== autobuild/macports/multimedia/mlt/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
PortSystem          1.0
#PortGroup           qt4 1.0
name                mlt
epoch               3
version             0.9.6
revision            7
categories          multimedia
maintainers         dennedy.org:dan
license             GPL-2+
description         Open source multimedia framework - core libraries
long_description    MLT is an open source multimedia framework, designed and developed for \
                    television broadcasting. It provides a toolkit for broadcasters, video \
                    editors, media players, transcoders, web streamers and many more types of \
                    applications. The functionality of the system is provided via an assortment \
                    of ready to use tools, xml authoring components, and an extendible plug-in \
                    based API. \
                    \
                    This package contains the files necessary for running applications that use \
                    the MLT multimedia framework.
homepage            http://www.mltframework.org/
master_sites        sourceforge:project/mlt/mlt
platforms           darwin
checksums           rmd160  c678a40b0fa362043d2a867152702cd8375d7bc7 \
                    sha256  ab999992828a03dadbf62f6a131aada776cfd7afe63a94d994877fdba31a3000   
# frei0r-plugins is not universal
universal_variant   yes
depends_build-append port:git \
                    port:doxygen
depends_lib-append  port:atk \
                    path:lib/libavcodec.dylib:ffmpeg \
                    port:libdv \
                    port:libsamplerate \
                    port:libsdl \
                    port:libsdl_image \
                    port:libvorbis \
                    port:sox \
                    port:libxml2
configure.args      --enable-gpl \
                    --disable-jackrack \
                    --disable-mmx \
                    --disable-gtk2 \
                    --disable-dependency-tracking \
                    --disable-swfdec
platform darwin x86_64 {
    if {${build_arch} eq "x86_64"} {
        configure.args-delete --disable-mmx
    }
}

platform darwin {
     patch.pre_args  -p1
     patchfiles      cppflags.patch
}

configure.cflags-append     "-I${prefix}/include"
configure.ldflags-delete    "-L${prefix}/lib"
configure.ldflags-append    "-L${worksrcpath}/src/framework"
configure.ldflags-append    "-L${prefix}/lib"
if {[variant_isset universal]} {
build.env-append            CFLAGS="${configure.cflags} ${configure.universal_cflags}" CXXFLAGS="${configure.cxxflags} ${configure.universal_cxxflags}" LDFLAGS="${configure.ldflags} ${configure.universal_ldflags}"
} else {
build.env-append            CFLAGS="${configure.cflags}" LDFLAGS="${configure.ldflags}"
}
build.args-append           CC="${configure.cc}" CXX="${configure.cxx}" CPP="${configure.cpp}"
variant gtk2 description {include the gtk2 module (for additional image and text producers)} {
    configure.args-delete   --disable-gtk2
    depends_lib-append      port:gtk2
}
livecheck.type      regex
livecheck.url       http://sourceforge.net/projects/${name}/files/
livecheck.regex     /${name}-(\[0-9.\]+)${extract.suffix}

=== compilar/synfig/synfig/debian/control ===
Source: synfig
Section: graphics
Priority: optional
Standards-Version: 4.7.2
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 etl-dev (>= 1.5.3~),
 intltool,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libfftw3-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgl-dev,
 libglibmm-2.4-dev,
 libjpeg-dev,
 libltdl-dev,
 libmagick++-dev,
 libmlt++-dev,
 libmlt-dev,
 libmng-dev,
 libopenexr-dev,
 libpng-dev,
 libsigc++-2.0-dev,
 libswscale-dev,
 libtiff-dev,
 libxml++2.6-dev,
Vcs-Browser: https://salsa.debian.org/multimedia-team/synfig
Vcs-Git: https://salsa.debian.org/multimedia-team/synfig.git
Homepage: http://www.synfig.org/
Rules-Requires-Root: no

Package: synfig
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 synfig-examples,
 synfigstudio,
Description: vector-based 2D animation renderer
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the command-line renderer, for the GUI animation
 editor, please install synfigstudio.

Package: libsynfig-dev
Section: libdevel
Architecture: any
Depends:
 etl-dev (>= 1.5.3~),
 libfftw3-dev,
 libglibmm-2.4-dev,
 libmlt++-dev,
 libsigc++-2.0-dev,
 libsynfig0t64 (= ${binary:Version}),
 libxml++2.6-dev,
 ${misc:Depends},
Description: synfig library development files
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains headers and other files needed to develop
 applications using the shared library and plugin modules.

Package: libsynfig0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libsynfig0a
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
# libav-tools,
 imagemagick,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libdv-bin,
 ${misc:Recommends},
Breaks:
 libsynfig0a (<< ${source:Version}),
 synfigstudio (<< 0.64.2),
Conflicts:
 libsynfig0,
 libsynfig0v5,
Replaces:
 libsynfig0,
 libsynfig0a,
 libsynfig0v5,
Description: render library and plugins for synfig 2D animation
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the shared library and plugin modules for it.

Package: synfig-examples
Architecture: all
Multi-Arch: foreign
Suggests:
 synfigstudio,
Conflicts:
 libsynfig-doc,
Replaces:
 libsynfig-doc,
Depends:
 ${misc:Depends},
Description: synfig animation examples
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains several examples of synfig animations and stills.

=== compilar/synfig/synfigstudio/debian/control ===
Source: synfigstudio
Section: graphics
Priority: optional
Standards-Version: 4.6.0
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 11), autopoint, intltool
 ,pkg-config
 ,etl-dev (>= 1.5.3~)
 ,libfftw3-dev
 ,libglibmm-2.4-dev
 ,libgtkmm-3.0-dev
 ,libltdl-dev
 ,libmlt-dev
 ,libmlt++-dev
 ,libsigc++-2.0-dev
 ,libsynfig-dev (>= 1.5.3~)
 ,synfig (>= 1.5.3~)
 ,fonts-freefont-ttf | ttf-freefont
 ,fonts-dejavu | ttf-dejavu
 ,libmagick++-dev
 ,libavcodec-dev
 ,libavformat-dev
 ,libavutil-dev
 ,libswscale-dev
Vcs-Browser: https://salsa.debian.org/multimedia-team/synfigstudio
Vcs-Git: https://salsa.debian.org/multimedia-team/synfigstudio.git
Homepage: http://www.synfig.org/
Rules-Requires-Root: no

Package: synfigstudio
Architecture: any
Recommends: synfig-examples
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vector-based 2D animation package (graphical user interface)
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation. It eliminates the
 need for tweening, preventing the need to hand-draw each frame.
 .
 This package contains the graphical user interface for synfig.

#Package: libsynfigapp0
#Section: libs
#Architecture: any
#Pre-Depends: ${misc:Pre-Depends}
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: synfig GUI library
# synfig is a vector based 2D animation package. It is designed to be
# capable of producing feature-film quality animation.
# .
# This package contains the GUI shared library.

=== compilar/zdkim/zdkim322/zdkimfilter-3.22/debian/control ===
Source: zdkimfilter
Section: mail
Priority: optional
Maintainer: Alessandro Vesely <vesely@tana.it>
Standards-Version: 4.5.1
Homepage: https://www.tana.it/sw/zdkimfilter/
Build-Depends: debhelper-compat (= 13), autotools-dev, coreutils (>= 9.1),
 libtool, unzip, courier-base, uuid-dev, nettle-dev, zlib1g-dev, libbsd-dev,
 libopendbx1-dev | dbconfig-no-thanks, libgnutls28-dev | libssl-dev,
 libidn2-dev, libunistring-dev, libopendbx1-dev, libopendbx1 | libopendbx1t64,
 libidn2-0, file, perl, pkg-config, po-debconf

Package: zdkimfilter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, courier-mta, ucf (>= 0.28),
 publicsuffix, libopendbx1-mysql | dbconfig-no-thanks,
 libbsd0, libssl1 | libgnutls30 | libgnutls30t64, dbconfig-mysql | dbconfig-no-thanks
Description: DKIM filter for Courier-MTA
 This filter uses a fork of the OpenDKIM Project's library to sign 
 messages from authenticated users, or verify relayed messages and add 
 an Authentication-Results: header field if configured to do so. The 
 source package contains example scripts for building a database to 
 save message details to. Database details allow one to configure 
 sending DMARC aggregate reports.  SPF results are imported from 
 Courier processing. DMARC rejection (as well as historic ADSP) can be 
 enabled or disabled globally and/or on a per-domain basis.

=== compilar/valentina/valentina/debian/rules ===
#!/usr/bin/make -f

# execute test
# * link with freshly built libraries
# * execute in virtual X11 environment
_TEST = LD_LIBRARY_PATH=$(subst $() $(),:,$(strip \
 $(patsubst %,$(CURDIR)/src/libs/%/bin,qmuparser vpropertyexplorer))) \
 QT_QPA_PLATFORM=offscreen \
 HOME=$(CURDIR)/debian/build \
 XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-xdg-runtime-dir \
 dbus-run-session -- \
 $(MAKE) -C src/test$(patsubst %,/%,$1) check

QMAKE_CONFIG = noStripDebugSymbols no_ccache release
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
QMAKE_CONFIG += noTest
endif

override_dh_auto_configure:
	mkdir --mode 0700 --parents debian/tmp-xdg-runtime-dir
# set Qt API
# install private shared libraries as such
# fix rpath to point to private shared libraries
	QT_SELECT=5 dh_auto_configure -- \
		PREFIX_LIB=/usr/lib/valentina \
		QMAKE_LFLAGS_RELEASE+=-Wl,-rpath,/usr/lib/valentina \
		QMAKE_LFLAGS_DEBUG+=-Wl,-rpath,/usr/lib/valentina \
		$(patsubst %,CONFIG+=%,$(QMAKE_CONFIG))

override_dh_auto_test:
#ifneq (,$(filter armel armhf mips64el mipsel riscv64,$(DEB_HOST_ARCH)))
	$(call _TEST,CollectionTest) || true
#else
#	$(call _TEST,CollectionTest)
#endif
	$(call _TEST,ParserTest)
ifneq (,$(filter i386 hurd-i386,$(DEB_HOST_ARCH)))
	$(call _TEST,ValentinaTest) || true
else
	$(call _TEST,ValentinaTest)
endif

override_dh_auto_test-indep:
	$(call _TEST,TranslationsTest)

# avoid suspected race condition (see bug#1070900)
override_dh_auto_install:
	dh_auto_install --no-parallel

# rename puzzle -> valentina-puzzle
# rename tape -> valentina-tape
# normalize paths embedded in example files
execute_after_dh_install-arch:
	chrpath --replace /usr/lib/valentina \
		debian/valentina/usr/bin/valentina \
		debian/valentina/usr/bin/puzzle \
		debian/valentina/usr/bin/tape
	mv debian/valentina/usr/bin/puzzle \
		debian/valentina/usr/bin/valentina-puzzle
	mv debian/valentina/usr/bin/tape \
		debian/valentina/usr/bin/valentina-tape
	mv debian/valentina/usr/share/applications/ua.com.smart-pattern.puzzle.desktop \
		debian/valentina/usr/share/applications/ua.com.smart-pattern.valentina-puzzle.desktop
	mv debian/valentina/usr/share/applications/ua.com.smart-pattern.tape.desktop \
		debian/valentina/usr/share/applications/ua.com.smart-pattern.valentina-tape.desktop
	perl -i -pe 's/(?:Exec|Icon)=\Kpuzzle/valentina-puzzle/' \
		debian/valentina/usr/share/applications/ua.com.smart-pattern.valentina-puzzle.desktop
	perl -i -pe 's/(?:Exec|Icon)=\Ktape/valentina-tape/' \
		debian/valentina/usr/share/applications/ua.com.smart-pattern.valentina-tape.desktop
	cp --recursive src/app/share/collection debian/collection
	find debian/collection -name '*.val' -exec perl -i -p \
		-e 's,<measurements>\K.*/src/app/valentina/bin,/usr/share/valentina,;' \
		-e 's,<measurements>/usr/share/valentina/tables/\Kstandard,multisize,' \
		'{}' +
execute_after_dh_installman-arch:
	mv debian/valentina/usr/share/man/man1/puzzle.1 \
		debian/valentina/usr/share/man/man1/valentina-puzzle.1
	mv debian/valentina/usr/share/man/man1/tape.1 \
		debian/valentina/usr/share/man/man1/valentina-tape.1

# install select documentation with all binary packages
override_dh_installdocs:
	dh_installdocs -- AUTHORS.txt README.md

execute_before_dh_clean:
	rm -rf debian/tmp-xdg-runtime-dir

%:
	dh $@

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# https://www.debian.org/doc/manuals/maint-guide/dreq.en.html#customrules

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-debian-build


override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/zdkimfilter install
	mkdir -p $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/install
	sed -nr '/^DROP TABLE IF EXISTS domain;/,/^delimiter ;/p' \
		odbx_example.sql > $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/install/mysql
	mkdir -p $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter
	sed -nr '/^db_sql_domain_flags/,/^db_sql_set_dmarc_agg/p' \
		odbx_example.conf > $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/db_sql.conf
	sed -r '/^Bcc:/d' \
		zaggregate-example.sh > $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/dmarc_send
	chmod a+x $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/dmarc_send
	mv $(CURDIR)/debian/zdkimfilter/etc/courier/filters/zdkimfilter.conf.dist \
		$(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/zdkimfilter.conf.orig.dist
	mkdir -p $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql
	cp debian/upgrade_mysql_1.7.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/1.7
	cp debian/upgrade_mysql_3.0.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/3.0
	cp debian/upgrade_mysql_3.3.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/3.3
	cp debian/upgrade_mysql_3.10.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/3.10
	cp tentative-psddmarc-list.txt $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter
